//+------------------------------------------------------------------+
//|                                                       mn DWM.mq4 |
//+------------------------------------------------------------------+
#property copyright "Mn"

#property indicator_chart_window

extern string uniqueID = "DWM1";
extern color mCol1 = Red, mCol2 = Blue, mCol3 = White;
extern int mWidth1 = 0, mWidth2 = 0 ,mWidth3 = 0;
extern int mDshift = 1, mWshift = 1 ,mMshift = 1;

//+------------------------------------------------------------------+
int init()
  {
     ObjectCreate(uniqueID+"HlineD1", OBJ_HLINE, 0, 0, 0);
     ObjectCreate(uniqueID+"HlineW1", OBJ_HLINE, 0, 0, 0);
     ObjectCreate(uniqueID+"HlineM1", OBJ_HLINE, 0, 0, 0);
     ObjectCreate(uniqueID+"HlineD2", OBJ_HLINE, 0, 0, 0);
     ObjectCreate(uniqueID+"HlineW2", OBJ_HLINE, 0, 0, 0);
     ObjectCreate(uniqueID+"HlineM2", OBJ_HLINE, 0, 0, 0);
     ObjectSet(uniqueID+"HlineD1", OBJPROP_WIDTH, mWidth1);
     ObjectSet(uniqueID+"HlineD1", OBJPROP_COLOR, mCol1);
     ObjectSet(uniqueID+"HlineD2", OBJPROP_WIDTH, mWidth1);
     ObjectSet(uniqueID+"HlineD2", OBJPROP_COLOR, mCol1);
     ObjectSet(uniqueID+"HlineW1", OBJPROP_COLOR, mCol2);
     ObjectSet(uniqueID+"HlineW1", OBJPROP_WIDTH, mWidth2);
     ObjectSet(uniqueID+"HlineW2", OBJPROP_COLOR, mCol2);
     ObjectSet(uniqueID+"HlineW2", OBJPROP_WIDTH, mWidth2);
     ObjectSet(uniqueID+"HlineM1", OBJPROP_COLOR, mCol3);
     ObjectSet(uniqueID+"HlineM1", OBJPROP_WIDTH, mWidth3);
     ObjectSet(uniqueID+"HlineM2", OBJPROP_COLOR, mCol3);
     ObjectSet(uniqueID+"HlineM2", OBJPROP_WIDTH, mWidth3);

   return(0);
  }

//+------------------------------------------------------------------+
int deinit()
  {
   ObjectDelete(uniqueID+"HlineD1");
   ObjectDelete(uniqueID+"HlineW1");
   ObjectDelete(uniqueID+"HlineM1");
   ObjectDelete(uniqueID+"HlineD2");
   ObjectDelete(uniqueID+"HlineW2");
   ObjectDelete(uniqueID+"HlineM2");

   return(0);
  }

//+------------------------------------------------------------------+
int start()
  {
    ObjectSet(uniqueID+"HlineD1", OBJPROP_PRICE1, iHigh(NULL, 1440, mDshift));
    ObjectSet(uniqueID+"HlineD2", OBJPROP_PRICE1, iLow(NULL, 1440, mDshift));
    ObjectSet(uniqueID+"HlineW1", OBJPROP_PRICE1, iHigh(NULL, 10080, mWshift));
    ObjectSet(uniqueID+"HlineW2", OBJPROP_PRICE1, iLow(NULL, 10080, mWshift));
    ObjectSet(uniqueID+"HlineM1", OBJPROP_PRICE1, iHigh(NULL, 43200, mMshift));
    ObjectSet(uniqueID+"HlineM2", OBJPROP_PRICE1, iLow(NULL, 43200, mMshift));


   return(0);
  }
//+------------------------------------------------------------------+